package cn.keking.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author chenjh
 * @since 2020/5/13 17:44
 */
@Configuration
@ConfigurationProperties(prefix = "kkfile")
public class WatermarkConfigConstants {
    public final static String DEFAULT_WATERMARK_TXT = "";
    public final static String DEFAULT_WATERMARK_X_SPACE = "10";
    public final static String DEFAULT_WATERMARK_Y_SPACE = "10";
    public final static String DEFAULT_WATERMARK_FONT = "微软雅黑";
    public final static String DEFAULT_WATERMARK_FONTSIZE = "18px";
    public final static String DEFAULT_WATERMARK_COLOR = "black";
    public final static String DEFAULT_WATERMARK_ALPHA = "0.2";
    public final static String DEFAULT_WATERMARK_WIDTH = "240";
    public final static String DEFAULT_WATERMARK_HEIGHT = "80";
    public final static String DEFAULT_WATERMARK_ANGLE = "10";

    private  String watermarkTxt =DEFAULT_WATERMARK_TXT;
    private  String watermarkXSpace  = DEFAULT_WATERMARK_X_SPACE;
    private  String watermarkYSpace = DEFAULT_WATERMARK_Y_SPACE;
    private  String watermarkFont = DEFAULT_WATERMARK_FONT;
    private  String watermarkFontsize = DEFAULT_WATERMARK_FONTSIZE;
    private  String watermarkColor = DEFAULT_WATERMARK_COLOR;
    private  String watermarkAlpha = DEFAULT_WATERMARK_ALPHA;
    private  String watermarkWidth = DEFAULT_WATERMARK_WIDTH;
    private  String watermarkHeight = DEFAULT_WATERMARK_HEIGHT;
    private  String watermarkAngle = DEFAULT_WATERMARK_ANGLE;



    public  String getWatermarkTxt() {
        return this.watermarkTxt;
    }


    public void setWatermarkTxt(String watermarkTxt) {
        this.watermarkTxt = watermarkTxt;
    }

    public  String getWatermarkXSpace() {
        return this.watermarkXSpace;
    }


    public void setWatermarkXSpace(String watermarkXSpace) {
        this.watermarkXSpace = watermarkXSpace;
    }

    public  String getWatermarkYSpace() {
        return this.watermarkYSpace;
    }


    public void setWatermarkYSpace(String watermarkYSpace) {
        this.watermarkYSpace = watermarkYSpace;
    }

    public  String getWatermarkFont() {
        return this.watermarkFont;
    }


    public void setWatermarkFont(String watermarkFont) {
        this.watermarkFont = watermarkFont;
    }

    public  String getWatermarkFontsize() {
        return this.watermarkFontsize;
    }


    public void setWatermarkFontsize(String watermarkFontsize) {
        this.watermarkFontsize = watermarkFontsize;
    }

    public  String getWatermarkColor() {
        return this.watermarkColor;
    }


    public void setWatermarkColor(String watermarkColor) {
        this.watermarkColor = watermarkColor;
    }

    public  String getWatermarkAlpha() {
        return watermarkAlpha;
    }


    public void setWatermarkAlpha(String watermarkAlpha) {
        this.watermarkAlpha = watermarkAlpha;
    }

    public  String getWatermarkWidth() {
        return this.watermarkWidth;
    }


    public void setWatermarkWidth(String watermarkWidth) {
        this.watermarkWidth = watermarkWidth;
    }

    public  String getWatermarkHeight() {
        return this.watermarkHeight;
    }


    public void setWatermarkHeight(String watermarkHeight) {
        this.watermarkHeight = watermarkHeight;
    }

    public  String getWatermarkAngle() {
        return this.watermarkAngle;
    }


    public void setWatermarkAngle(String watermarkAngle) {
        this.watermarkAngle = watermarkAngle;
    }


}
